Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class ClassLoaderFactory.Repository

    java.lang.Object
      org.apache.catalina.startup.ClassLoaderFactory.Repository

Enclosing class:
  ClassLoaderFactory

    public static class ClassLoaderFactory.Repository

extends Object

Constructor Summary
`ClassLoaderFactory.Repository(String location, ClassLoaderFactory.RepositoryType type)`

Method Summary
`String` | `getLocation()`
`ClassLoaderFactory.RepositoryType` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderFactory.Repository

    public ClassLoaderFactory.Repository(String location,
                                         ClassLoaderFactory.RepositoryType type)

Method Detail

### getLocation

    public String getLocation()

### getType

    public ClassLoaderFactory.RepositoryType getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.